Download it now!
Bug 101513 - Making NotebookBar customizable
Summary: Making NotebookBar customizable
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.0.1
Keywords:
: 121556 128164 129663 (view as bug list)
Depends on:
Blocks: Notebookbar Customize-Dialog 125040
  Show dependency treegraph
 
Reported: 2016-08-14 04:18 UTC by Volga
Modified: 2019-12-28 13:50 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:


Attachments
Configure dialogue for notebookbar (634.65 KB, application/vnd.oasis.opendocument.graphics)
2019-03-15 13:42 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Volga 2016-08-14 04:18:12 UTC
The Custimize dialog currently have no way to customize the NotebookBar.
Comment 1 Volga 2016-11-03 09:48:10 UTC
To make NotebookBar comstomizable, the Custimize dialog should add Notebookbar tab, using similar mechanism to add/remove the button, move their position, and making them resizable.
Comment 2 Jordan Maris 2017-02-25 16:17:55 UTC
This could be of interest. the notebookbar currently lacks some key functions by defaut
Comment 3 Volga 2018-04-08 02:49:50 UTC
MS Office 2007 have already implemented for Ribbon UI.
Comment 4 Heiko Tietze 2018-11-21 07:46:44 UTC
*** Bug 121556 has been marked as a duplicate of this bug. ***
Comment 5 andreas_k 2019-02-13 14:08:45 UTC
Hi,

I'd like to offer an customization light request.

via right click you can show/hide commands cause in the toolbar xml file there is 

visible="false" 

defined.

This option could be possible for notebookbar cause in the .ui file there you can also define 

<property name="visible">False</property>

So you can define in the ui file of an notebookbar_groupedbar_compact:

Group file:
Open, Save, Print, PDF (visible=false)

Right click you can change PDF from visble=false to visible=true.

I know it's not 100% the customization dialog where you can change everything, but it would be a very good start.
Comment 6 andreas_k 2019-03-15 13:42:14 UTC
Created attachment 149996 [details]
Configure dialogue for notebookbar
Comment 7 andreas_k 2019-08-08 09:05:38 UTC
Sumit Chauhan add visibility True/False support for Notebookbar elements in the GSOC projekt 2019.

Full customization support was at the moment not available, cause you can't add commands, but maybe in the future. Initial work is already done.

Sumit maybe you can link your GSOC blog posts, ... here to get an information what and how it was done.
Comment 8 V Stuart Foote 2019-10-16 05:54:09 UTC
*** Bug 128164 has been marked as a duplicate of this bug. ***
Comment 9 V Stuart Foote 2019-10-16 06:06:17 UTC
Here a links to Sumit's GSOC 2019 writeup... great job!

https://sumitcn.github.io/gsoc-final-report/
Comment 10 Commit Notification 2019-12-02 19:54:06 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5073c6d8d7ed199388349af133c2febb2dd1196f

tdf#101513 add customizable option to writer NB tabbed

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-12-03 11:50:23 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/211d180af4e5e21f742f6bc9bed82ffaade2cd2a

tdf#101513 add customizable option to writer NB tabbed

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2019-12-03 11:50:35 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/92d521e5c7b6b3a3522151e9b52fa42195605802

tdf#101513 add customizable option to writer NB contextual single

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2019-12-03 19:17:42 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/d1ca2556bfd46dc2427eaff6e30f4b93429732c6

tdf#101513 add customizable option to writer NB contextual single

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-12-03 22:02:58 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/60e8941fd581bb06cbf6be62edb8c387e7c07812

tdf#101513 add customizeable option to writer NB grouped compact

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2019-12-04 06:58:21 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/9e24faac6d3eaf84472e714a205edb3b1cc9e510

tdf#101513 add customizeable option to writer NB grouped compact

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2019-12-04 07:00:11 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2f0eed452c95484144016a33231adfc8144fa8bc

tdf#101513 arrangement of customizeable items in NB tabbed

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Commit Notification 2019-12-04 09:35:49 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/d2948f8ae7e3442762c4ce9c3d7b7aa0c0beff86

tdf#101513 arrangement of customizeable items in NB tabbed

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Commit Notification 2019-12-05 11:20:40 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/81f01259dfe29b7ee73c42d3b44934d6fc973cd8

tdf#101513 arrangement of customizeable items in NB tabbed compact

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Commit Notification 2019-12-05 19:41:30 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/416af2afcf735043c32c014cc6f8d4f89d29a1b0

tdf#101513 arrangement of customizeable items in NB tabbed compact

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2019-12-05 21:34:00 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/5799555fbfe378b22b5b36e0e7f9573ec9b26a31

tdf#101513 arrangement of customizeable items in NB groupedbar comp

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2019-12-06 08:31:31 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/a7bab91cabc686950b2b7128c81b06597dbcc43a

tdf#101513 arrangement of customizeable items in NB groupedbar comp

It will be available in 6.4.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 V Stuart Foote 2019-12-28 13:50:52 UTC
*** Bug 129663 has been marked as a duplicate of this bug. ***